Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.faces.component
Class UIMessages

    java.lang.Object
      javax.faces.component.UIComponent
          javax.faces.component.UIComponentBase
              javax.faces.component.UIMessages

All Implemented Interfaces:
  java.util.EventListener, PartialStateHolder, StateHolder, TransientStateHolder, ComponentSystemEventListener, FacesListener, SystemEventListenerHolder

Direct Known Subclasses:
  HtmlMessages

    public class UIMessages

extends UIComponentBase

The renderer for this component is responsible for obtaining the messages from the `FacesContext` and displaying them to the user.

This component supports the `Messages` renderer-type.

By default, the `rendererType` property must be set to "`javax.faces.Messages`". This value can be changed by calling the `setRendererType()` method.

Field Summary
`static java.lang.String` | `COMPONENT_FAMILY` The standard component family for this component.
`static java.lang.String` | `COMPONENT_TYPE` The standard component type for this component.

Fields inherited from class javax.faces.component.UIComponent
`ATTRS_WITH_DECLARED_DEFAULT_VALUES, BEANINFO_KEY, bindings, COMPOSITE_COMPONENT_TYPE_KEY, COMPOSITE_FACET_NAME, CURRENT_COMPONENT, CURRENT_COMPOSITE_COMPONENT, FACETS_KEY, HONOR_CURRENT_COMPONENT_ATTRIBUTES_PARAM_NAME, VIEW_LOCATION_KEY`

Constructor Summary
`UIMessages()` Create a new `UIMessages` instance with default property values.

Method Summary
`java.lang.String` | `getFamily()` Return the identifier of the component family to which this component belongs.
`java.lang.String` | `getFor()` Return the client identifier of the component for which this component represents associated message(s) (if any).
`boolean` | `isGlobalOnly()` Return the flag indicating whether only global messages (that is, messages with no associated client identifier) should be rendered.
`boolean` | `isRedisplay()`
`boolean` | `isShowDetail()` Return the flag indicating whether the `detail` property of the associated message(s) should be displayed.
`boolean` | `isShowSummary()` Return the flag indicating whether the `summary` property of the associated message(s) should be displayed.
`void` | `setFor(java.lang.String newFor)` Set the client identifier of the component for which this component represents associated message(s) (if any).
`void` | `setGlobalOnly(boolean globalOnly)` Set the flag indicating whether only global messages (that is, messages with no associated client identifier) should be rendered.
`void` | `setRedisplay(boolean redisplay)` Set the flag indicating whether the `detail` property of the associated message(s) should be displayed.
`void` | `setShowDetail(boolean showDetail)` Set the flag indicating whether the `detail` property of the associated message(s) should be displayed.
`void` | `setShowSummary(boolean showSummary)` Set the flag indicating whether the `summary` property of the associated message(s) should be displayed.

Methods inherited from class javax.faces.component.UIComponentBase
`addClientBehavior, addFacesListener, broadcast, clearInitialState, decode, encodeBegin, encodeChildren, encodeEnd, findComponent, getAttributes, getChildCount, getChildren, getClientBehaviors, getClientId, getDefaultEventName, getEventNames, getFacesContext, getFacesListeners, getFacet, getFacetCount, getFacets, getFacetsAndChildren, getId, getListenersForEventClass, getParent, getRenderer, getRendererType, getRendersChildren, getValueBinding, invokeOnComponent, isRendered, isTransient, markInitialState, processDecodes, processRestoreState, processSaveState, processUpdates, processValidators, queueEvent, removeFacesListener, restoreAttachedState, restoreState, saveAttachedState, saveState, setId, setParent, setRendered, setRendererType, setTransient, setValueBinding, subscribeToEvent, unsubscribeFromEvent`

Methods inherited from class javax.faces.component.UIComponent
`encodeAll, getClientId, getCompositeComponentParent, getContainerClientId, getCurrentComponent, getCurrentCompositeComponent, getNamingContainer, getResourceBundleMap, getStateHelper, getStateHelper, getTransientStateHelper, getTransientStateHelper, getValueExpression, initialStateMarked, isCompositeComponent, isInView, isVisitable, popComponentFromEL, processEvent, pushComponentToEL, restoreTransientState, saveTransientState, setInView, setValueExpression, visitTree`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### COMPONENT_TYPE

    public static final java.lang.String COMPONENT_TYPE

  The standard component type for this component.

  See Also:
    Constant Field Values

### COMPONENT_FAMILY

    public static final java.lang.String COMPONENT_FAMILY

  The standard component family for this component.

  See Also:
    Constant Field Values

Constructor Detail

### UIMessages

    public UIMessages()

  Create a new `UIMessages` instance with default property values.

Method Detail

### getFamily

    public java.lang.String getFamily()

  Description copied from class: `UIComponent`

  Return the identifier of the component family to which this component belongs. This identifier, in conjunction with the value of the `rendererType` property, may be used to select the appropriate `Renderer` for this component instance.

  Specified by:
    `getFamily` in class `UIComponent`

### getFor

    public java.lang.String getFor()

  Return the client identifier of the component for which this component represents associated message(s) (if any).

### setFor

    public void setFor(java.lang.String newFor)

  Set the client identifier of the component for which this component represents associated message(s) (if any). This property must be set before the message is displayed.

  Parameters:
    `newFor` - The new client id

### isGlobalOnly

    public boolean isGlobalOnly()

  Return the flag indicating whether only global messages (that is, messages with no associated client identifier) should be rendered. Mutually exclusive with the "for" property which takes precedence. Defaults to false.

### setGlobalOnly

    public void setGlobalOnly(boolean globalOnly)

  Set the flag indicating whether only global messages (that is, messages with no associated client identifier) should be rendered.

  Parameters:
    `globalOnly` - The new flag value

### isShowDetail

    public boolean isShowDetail()

  Return the flag indicating whether the `detail` property of the associated message(s) should be displayed. Defaults to false.

### setShowDetail

    public void setShowDetail(boolean showDetail)

  Set the flag indicating whether the `detail` property of the associated message(s) should be displayed.

  Parameters:
    `showDetail` - The new flag

### isShowSummary

    public boolean isShowSummary()

  Return the flag indicating whether the `summary` property of the associated message(s) should be displayed. Defaults to true.

### setShowSummary

    public void setShowSummary(boolean showSummary)

  Set the flag indicating whether the `summary` property of the associated message(s) should be displayed.

  Parameters:
    `showSummary` - The new flag value

### isRedisplay

    public boolean isRedisplay()

  Returns:
    `true` if this `UIMessage` instance should redisplay `FacesMessage`s that have already been handled, otherwise returns `false`. By default this method will always return `true` if `setRedisplay(boolean)` has not been called.
  Since:
    2.0

### setRedisplay

    public void setRedisplay(boolean redisplay)

  Set the flag indicating whether the `detail` property of the associated message(s) should be displayed.

  Parameters:
    `redisplay` - flag indicating whether previously handled messages are redisplayed or not
  Since:
    2.0

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2002-2010 Oracle America Inc, Inc. All Rights Reserved.